using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace New_College.Model.Models
{
    public class D_Major : EntityModel
    {
        [SugarColumn(IsNullable = true)]
        public string Name { get; set; }

        /// <summary>
        /// 专业二级分类id
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public int CategoryClass_Id { get; set; }
        /// <summary>
        /// 专业名称
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public string MajorName { get; set; }

        /// <summary>
        /// 教育部专业编号
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public string MajorCode { get; set; }

        /// <summary>
        /// 热度
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public int Hot { get; set; }

        /// <summary>
        /// 专业分类   1文科 2理科 3不区分
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public int Type { get; set; }

      
    }
}
